#include "MK40N512MD100.h"
#include "images.h"

int currentImage=2;

void SystemInit()
{
  // Wycz watchdoga
  	WDOG->UNLOCK = (uint16_t)0xC520u;     /* Key 1 */
  	WDOG->UNLOCK  = (uint16_t)0xD928u;    /* Key 2 */
  	WDOG->STCTRLH = (uint16_t)0x01D2u;
}

  
void PORTE_IRQHandler()
{
	if (++currentImage == 3) currentImage = 0;
	switch (currentImage)
	{
	case 0:
		ISC15ANP4_Transition(kinetis, kamami);
		break;
	case 1:
	    ISC15ANP4_Transition(kamami, uc);
		break;
	case 2:
	    ISC15ANP4_Transition(uc, kinetis);
	}						
	PORTE->ISFR |= (1 << 9);
}	
	  
int main()
{
	ISC15ANP4_Init();
	ISC15ANP4_SetRangeToFullScreen();
    ISC15ANP4_DrawScreen(kinetis);	
	while(1);
}